@tailwind base;
@tailwind components;
@tailwind utilities;
body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  background-color: #F8FAFC;
}

*, *::before, *::after {
  box-sizing: border-box;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}
:root{
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  scroll-behavior: smooth;
}

@font-face {
  font-family: "Bahnschrift";
  src: url("./fonts/Bahnschrift/BAHNSCHRIFT.TTF");
}

@font-face {
  font-family: "Boldstrom";
  src: url("./fonts/Boldstrom/Boldstrom.otf");
}

.carousel__item {
  -webkit-animation: carousel-animate-vertical 15s linear infinite;
          animation: carousel-animate-vertical 15s linear infinite;
}

.carousel__item:nth-child(1) {
  -webkit-animation-delay: calc(3s * -1);
          animation-delay: calc(3s * -1);
}

.carousel__item:nth-child(2) {
  -webkit-animation-delay: calc(3s * 0);
          animation-delay: calc(3s * 0);
}

.carousel__item:nth-child(3) {
  -webkit-animation-delay: calc(3s * 1);
          animation-delay: calc(3s * 1);
}

.carousel__item:nth-child(4) {
  -webkit-animation-delay: calc(3s * 2);
          animation-delay: calc(3s * 2);
}

.carousel__item:last-child {
  -webkit-animation-delay: calc(-3s * 2);
          animation-delay: calc(-3s * 2);
}

@-webkit-keyframes carousel-animate-vertical {
  0% {
    transform: translateX(100%) scale(0.8);
    opacity: 0;
    visibility: hidden;
    z-index: 10;
  }
  3%, 20% {
    transform: translateX(100%) scale(0.8);
    opacity: 0.7;
    visibility: visible;
    z-index: 40;
  }
  23%, 40% {
    transform: translateX(62%) scale(0.95);
    opacity: 0.7;
    visibility: visible;
    z-index: 70;
  }
  43%, 60% {
    transform: translateX(0) scale(1);
    opacity: 1;
    visibility: visible;
    z-index: 100;
  }
  63%, 80% {
    transform: translateX(-62%) scale(0.95);
    opacity: 0.7;
    visibility: visible;
    z-index: 70;
  }
  83% {
    transform: translateX(-100%) scale(0.8);
    opacity: 0.4;
    visibility: visible;
    z-index: 40;
  }
  100% {
    transform: translateX(-100%) scale(0.8);
    opacity: 0.4;
    visibility: hidden;
    z-index: 10;
  }
}

@keyframes carousel-animate-vertical {
  0% {
    transform: translateX(100%) scale(0.8);
    opacity: 0;
    visibility: hidden;
    z-index: 10;
  }
  3%, 20% {
    transform: translateX(100%) scale(0.8);
    opacity: 1;
    visibility: visible;
    z-index: 40;
  }
  23%, 40% {
    transform: translateX(62%) scale(0.95);
    opacity: 1;
    visibility: visible;
    z-index: 70;
  }
  43%, 60% {
    transform: translateX(0) scale(1);
    opacity: 1;
    visibility: visible;
    z-index: 100;
  }
  63%, 80% {
    transform: translateX(-62%) scale(0.95);
    opacity: 1;
    visibility: visible;
    z-index: 70;
  }
  83% {
    transform: translateX(-100%) scale(0.8);
    opacity: 1;
    visibility: visible;
    z-index: 40;
  }
  100% {
    transform: translateX(-100%) scale(0.8);
    opacity: 1;
    visibility: hidden;
    z-index: 10;
  }
}

.fp-overflow{
  overflow-y: unset;
}